Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.maven
[Java] Interface MavenFactory

    public interface MavenFactory

Factory for various types related to Maven dependency management. The motivation for having this factory is to allow implementation types, and more importantly their dependencies, to be loaded from a different (coreImpl) class loader. This helps to prevent version conflicts, for example between Maven 2 and Maven 3 libraries.

Method Summary
`org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer` | `createArtifactPomContainer(org.gradle.api.internal.artifacts.publish.maven.MavenPomMetaInfoProvider pomMetaInfoProvider, PomFilterContainer filterContainer, org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomFactory pomFactory)`
`org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomFactory` | `createArtifactPomFactory()`
`Conf2ScopeMappingContainer` | `createConf2ScopeMappingContainer(java.util.Map mappings)`
`org.gradle.api.internal.artifacts.publish.maven.dependencies.ExcludeRuleConverter` | `createExcludeRuleConverter()`
`GroovyMavenDeployer` | `createGroovyMavenDeployer(java.lang.String name, PomFilterContainer pomFilterContainer, org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer artifactPomContainer, org.gradle.logging.LoggingManagerInternal loggingManager)`
`org.gradle.api.internal.artifacts.publish.maven.LocalMavenCacheLocator` | `createLocalMavenCacheLocator()`
`MavenResolver` | `createMavenInstaller(java.lang.String name, PomFilterContainer pomFilterContainer, org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer artifactPomContainer, org.gradle.logging.LoggingManagerInternal loggingManager)`
`org.gradle.api.internal.Factory` | `createMavenPomFactory(ConfigurationContainer configurationContainer, Conf2ScopeMappingContainer conf2ScopeMappingContainer, org.gradle.api.internal.artifacts.publish.maven.dependencies.PomDependenciesConverter pomDependenciesConverter, org.gradle.api.internal.file.FileResolver fileResolver)`
`org.gradle.api.internal.artifacts.publish.maven.dependencies.PomDependenciesConverter` | `createPomDependenciesConverter(org.gradle.api.internal.artifacts.publish.maven.dependencies.ExcludeRuleConverter excludeRuleConverter)`
`PomFilterContainer` | `createPomFilterContainer(org.gradle.api.internal.Factory mavenPomFactory)`

Method Detail

### createArtifactPomContainer

    public org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer createArtifactPomContainer(org.gradle.api.internal.artifacts.publish.maven.MavenPomMetaInfoProvider pomMetaInfoProvider, PomFilterContainer filterContainer, org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomFactory pomFactory)

### createArtifactPomFactory

    public org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomFactory createArtifactPomFactory()

### createConf2ScopeMappingContainer

    public Conf2ScopeMappingContainer createConf2ScopeMappingContainer(java.util.Map mappings)

### createExcludeRuleConverter

    public org.gradle.api.internal.artifacts.publish.maven.dependencies.ExcludeRuleConverter createExcludeRuleConverter()

### createGroovyMavenDeployer

    public GroovyMavenDeployer createGroovyMavenDeployer(java.lang.String name, PomFilterContainer pomFilterContainer, org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer artifactPomContainer, org.gradle.logging.LoggingManagerInternal loggingManager)

### createLocalMavenCacheLocator

    public org.gradle.api.internal.artifacts.publish.maven.LocalMavenCacheLocator createLocalMavenCacheLocator()

### createMavenInstaller

    public MavenResolver createMavenInstaller(java.lang.String name, PomFilterContainer pomFilterContainer, org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer artifactPomContainer, org.gradle.logging.LoggingManagerInternal loggingManager)

### createMavenPomFactory

    public org.gradle.api.internal.Factory createMavenPomFactory(ConfigurationContainer configurationContainer, Conf2ScopeMappingContainer conf2ScopeMappingContainer, org.gradle.api.internal.artifacts.publish.maven.dependencies.PomDependenciesConverter pomDependenciesConverter, org.gradle.api.internal.file.FileResolver fileResolver)

### createPomDependenciesConverter

    public org.gradle.api.internal.artifacts.publish.maven.dependencies.PomDependenciesConverter createPomDependenciesConverter(org.gradle.api.internal.artifacts.publish.maven.dependencies.ExcludeRuleConverter excludeRuleConverter)

### createPomFilterContainer

    public PomFilterContainer createPomFilterContainer(org.gradle.api.internal.Factory mavenPomFactory)

Groovy Documentation